package com.zanxiang.game.data.serve.controller;

import com.zanxiang.erp.security.annotation.PreAuthorize;
import com.zanxiang.game.data.serve.pojo.dto.GamePromoteDayDTO;
import com.zanxiang.game.data.serve.pojo.dto.GamePromoteDayTotalDTO;
import com.zanxiang.game.data.serve.pojo.dto.GamePromoteTotalDTO;
import com.zanxiang.game.data.serve.pojo.vo.GamePromoteDayTotalVO;
import com.zanxiang.game.data.serve.pojo.vo.GamePromoteDayVO;
import com.zanxiang.game.data.serve.pojo.vo.GamePromoteTotalVO;
import com.zanxiang.game.data.serve.service.IAccountAgentDayService;
import com.zanxiang.game.data.serve.utils.Page;
import com.zanxiang.module.util.pojo.ResultVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/promote")
public class AccountAgentDayController {
    @Autowired
    private IAccountAgentDayService accountAgentDayService;

    @PreAuthorize(permissionKey = "gameData:accountAgent:day")
    @GetMapping("/day")
    public ResultVO<Page<GamePromoteDayVO>> accountAgentDay(GamePromoteDayDTO dto) {
        return ResultVO.ok(accountAgentDayService.accountAgentDay(dto));
    }

    @PreAuthorize(permissionKey = "gameData:accountAgent:dayTotal")
    @GetMapping("/day/total")
    public ResultVO<GamePromoteDayTotalVO> accountAgentDayTotal(GamePromoteDayTotalDTO dto) {
        return ResultVO.ok(accountAgentDayService.accountAgentDayTotal(dto));
    }

    @PreAuthorize(permissionKey = "gameData:accountAgent:total")
    @GetMapping("/total")
    public ResultVO<Page<GamePromoteTotalVO>> accountAgentTotal(GamePromoteTotalDTO dto) {
        return ResultVO.ok(accountAgentDayService.accountAgentTotal(dto));
    }
}
